package org.nfunk.jep;

import java.util.Hashtable;
import org.nfunk.jep.function.PostfixMathCommandI;

public class FunctionTable extends Hashtable {
  public Object put(String paramString, PostfixMathCommandI paramPostfixMathCommandI) {
    return super.put(paramString, paramPostfixMathCommandI);
  }
  
  public Object put(Object paramObject1, Object paramObject2) {
    return put((String)paramObject1, (PostfixMathCommandI)paramObject2);
  }
  
  public PostfixMathCommandI get(String paramString) {
    return super.get(paramString);
  }
  
  public Object get(Object paramObject) {
    return get((String)paramObject);
  }
}
